org.apache.ignite.internal.processors.cluster

## Class ChangeGlobalStateFinishMessage

- java.lang.Object
- - org.apache.ignite.internal.processors.cluster.ChangeGlobalStateFinishMessage

All Implemented Interfaces:
  Serializable, DiscoveryCustomMessage

    public class ChangeGlobalStateFinishMessage
    extends Object
    implements DiscoveryCustomMessage

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`ChangeGlobalStateFinishMessage(UUID reqId, boolean clusterActive)`

### Method Summary

Methods
`DiscoveryCustomMessage` `ackMessage()` Called when custom message has been handled by all nodes.
`boolean` `clusterActive()`
`IgniteUuid` `id()`
`boolean` `isMutable()`
`UUID` `requestId()`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ChangeGlobalStateFinishMessage

    public ChangeGlobalStateFinishMessage(UUID reqId,
                                  boolean clusterActive)

Parameters:
  `reqId` - State change request ID.
  `clusterActive` - New cluster state.

### Method Detail

#### requestId

    public UUID requestId()

Returns:
  State change request ID.

#### clusterActive

    public boolean clusterActive()

Returns:
  New cluster state.

#### id

    public IgniteUuid id()

Specified by:
  `id` in interface `DiscoveryCustomMessage`
Returns:
  Unique custom message ID.

#### ackMessage

    @Nullable
    public DiscoveryCustomMessage ackMessage()

Called when custom message has been handled by all nodes.

Specified by:
  `ackMessage` in interface `DiscoveryCustomMessage`
Returns:
  Ack message or `null` if ack is not required.

#### isMutable

    public boolean isMutable()

Specified by:
  `isMutable` in interface `DiscoveryCustomMessage`
Returns:
  `true` if message can be modified during listener notification. Changes will be send to next nodes.

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

2017 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 2.2.0
Release Date | : September 15 2017